

#property copyright "Copyright  2007, Petr Kouril"
#property link      "http://www.jaktrade.cz"

#property indicator_separate_window
#property indicator_buffers  1
#property indicator_color1 Blue
#property indicator_width1 1


#property indicator_level1 0
#property indicator_levelwidth 2
#property indicator_levelstyle 0
#property indicator_levelcolor Red


extern int prd = 48;
extern string suffix = "";
extern int tf = 240;

extern string Mena1 = "EUR";
extern string Mena2 = "USD";

//---- buffers
double dif[];

int init()
{
	IndicatorBuffers(7);
	
	SetIndexStyle (0, DRAW_LINE);
   SetIndexBuffer(0, dif);
   SetIndexLabel(0, Mena1 + Mena2 + suffix);

   IndicatorShortName(Mena1+Mena2+suffix);
	return(0);
}

int deinit()
{
   return(0);
}

int start()
{
   double ccival;		
   string mena, str;
   int j;
   int denominator = 6;
   int counted_bars = IndicatorCounted();
   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
   int limit = Bars-counted_bars;
   int index1, index2;
   double cci1,cci2;
 
   index1 = getindex(Mena1);
   index2 = getindex(Mena2);
   

	for (int i = limit-1; i >= 0; i--)
	{
	   cci1 = iCustom(NULL,0,"!cci_sum", prd, suffix, tf,  index1, i);
	   cci2 = iCustom(NULL,0,"!cci_sum", prd, suffix, tf, index2, i);
	   
	   dif[i] = cci1 - cci2;
	}

   return(0);
}

int getindex(string mena) 
{
   int ind = -1;
   
   if(mena == "EUR")
      ind = 3;
   else if(mena=="AUD")
      ind = 0;
   else if(mena== "CHF") 
      ind = 2; 
   else if(mena== "JPY") 
      ind = 1; 
   else if(mena== "GBP") 
      ind = 4; 
   else if(mena== "USD") 
      ind = 5; 
   else if(mena== "CAD") 
      ind = 6; 
  
   return (ind);
}

